com.google.gwt.dom.builder.shared

## Interface OptionBuilder

All Superinterfaces:
  ElementBuilderBase<OptionBuilder>

All Known Implementing Classes:
  DomOptionBuilder, HtmlOptionBuilder

    public interface OptionBuilder
    extends ElementBuilderBase<OptionBuilder>

Builds an option element.

### Method Summary

All Methods Instance Methods Abstract Methods
`OptionBuilder` `defaultSelected()` Represents the value of the HTML selected attribute.
`OptionBuilder` `disabled()` Prevents the user from selecting this option.
`OptionBuilder` `label(java.lang.String label)` Option label for use in menus.
`OptionBuilder` `selected()` Represents the current state of the corresponding form control, in an interactive user agent.
`OptionBuilder` `value(java.lang.String value)` The current form control value.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Method Detail

#### defaultSelected

    OptionBuilder defaultSelected()

Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.

See Also:
  W3C HTML Specification

#### disabled

    OptionBuilder disabled()

Prevents the user from selecting this option.

See Also:
  W3C HTML Specification

#### label

    OptionBuilder label(java.lang.String label)

Option label for use in menus.

See Also:
  W3C HTML Specification

#### selected

    OptionBuilder selected()

Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

#### value

    OptionBuilder value(java.lang.String value)

The current form control value.

See Also:
  W3C HTML Specification